For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETFind bank
Logo
Sign inBook a demo
API ReferenceBank Lookup

Find bank

GET
https://api.mercoa.com/bankLookup
GET
/bankLookup
$curl -G https://api.mercoa.com/bankLookup \
> -H "Authorization: Bearer <token>" \
> -d routingNumber=026009593
1{
2 "bankName": "Bank of America",
3 "bankAddress": {
4 "address": "123 Main St",
5 "city": "Anytown",
6 "state": "CA",
7 "postalCode": "12345",
8 "postalCodeExtension": "6789"
9 }
10}
Find bank account details
Was this page helpful?
Previous

Calculate fees

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

routingNumberstringRequired
Routing number to validate

Response

This endpoint returns an object.
bankNamestring
bankAddressobject

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented